Bug 970070 - RFE Provide option to disable nfs acl
RFE Provide option to disable nfs acl
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: nfs (Show other bugs)
mainline
All All
urgent Severity medium
: ---
: ---
Assigned To: Vivek Agarwal
:
Depends On:
Blocks: 974913
  Show dependency treegraph
 
Reported: 2013-06-03 08:19 EDT by Rajesh
Modified: 2016-02-17 19:03 EST (History)
3 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 974913 (view as bug list)
Environment:
Last Closed: 2013-07-24 13:15:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rajesh 2013-06-03 08:19:56 EDT
Description of RFE: Provide option to disable acl. Also, unregister acl with the portmap when nfs server stops.
Comment 1 Anand Avati 2013-06-03 08:24:33 EDT
REVIEW: http://review.gluster.org/5136 (nfs: option to disable acl) posted (#1) for review on master by Rajesh Amaravathi (rajesh@redhat.com)
Comment 2 Anand Avati 2013-06-03 08:37:55 EDT
REVIEW: http://review.gluster.org/5136 (nfs: option to disable acl) posted (#2) for review on master by Rajesh Amaravathi (rajesh@redhat.com)
Comment 3 Anand Avati 2013-06-07 02:54:09 EDT
REVIEW: http://review.gluster.org/5136 (nfs: option to disable acl) posted (#3) for review on master by Rajesh Amaravathi (rajesh@redhat.com)
Comment 4 Anand Avati 2013-06-10 06:00:48 EDT
REVIEW: http://review.gluster.org/5136 (nfs: option to disable acl) posted (#4) for review on master by Rajesh Amaravathi (rajesh@redhat.com)
Comment 5 Anand Avati 2013-06-10 07:56:54 EDT
REVIEW: http://review.gluster.org/5136 (nfs: option to disable acl) posted (#5) for review on master by Rajesh Amaravathi (rajesh@redhat.com)
Comment 6 Anand Avati 2013-06-14 02:14:11 EDT
REVIEW: http://review.gluster.org/5136 (nfs: option to disable acl) posted (#6) for review on master by Rajesh Amaravathi (rajesh@redhat.com)
Comment 7 Anand Avati 2013-06-16 01:32:55 EDT
COMMIT: http://review.gluster.org/5136 committed in master by Anand Avati (avati@redhat.com) 
------
commit d6e5c6d8c489063df5aca8998903e11afee8439d
Author: Rajesh Amaravathi <rajesh@redhat.com>
Date:   Mon Jun 3 16:44:21 2013 +0530

    nfs: option to disable acl
    
    1. Option to disable or enable acl with nfs.acl boolean
       option.
    
    2. Deregister the acl service with the portmapper service
       when no longer required.
    
    Change-Id: I6562b6b40138d040aa2bf1e5641f4c0e0e9f9d09
    BUG: 970070
    Signed-off-by: Rajesh Amaravathi <rajesh@redhat.com>
    Reviewed-on: http://review.gluster.org/5136
    Reviewed-by: Rajesh Joseph <rjoseph@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Anand Avati <avati@redhat.com>

Note You need to log in before you can comment on or make changes to this bug.